SystemOrganization addCategory: #GODFilter!

Object subclass: #FILTMainFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

FILTMainFilter subclass: #FILTConferenceFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

!FILTConferenceFilter methodsFor: 'accessing' stamp: 'LM 10/6/2014 19:30'!
filter: collectionOfGodData byHtmlTags: aString
	"Filter a collection of GODData using html tags"

	^Collection. ! !

!FILTConferenceFilter methodsFor: 'accessing' stamp: 'LM 10/6/2014 19:33'!
filterConferences: collectionOfConferences bySearchFilter: GCSearchFilterObject
	"Filter a collection of GODConferences by SearchFilter"

	^Collection. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 10/9/2014 19:32'!
filter: collectionOfGodData byContent: aString
	"Filter a collection of GODData by content"

	| result |
	result := OrderedCollection new.
	
	collectionOfGodData do: [: each |
		(aString match: each content)
		ifTrue: [result add: each]].
	^result.! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 10/9/2014 19:31'!
filter: collectionOfGodData byOrigin: aString
	"Filter a collection of GODData by origin"

	| result |
	result := OrderedCollection new.
	
	collectionOfGodData do: [: each |
		(aString match: each origin)
		ifTrue: [result add: each]].
	^result.! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 10/9/2014 19:33'!
filter: collectionOfGodData byTags: aString
	"Filter a collection of GODData by tags"

	| result |
	result := OrderedCollection new.
	
	collectionOfGodData do: [: each |
		each tags do: [:tag |
			(aString match: tag)
			ifTrue: [result add: each].
		]].
	^result. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 10/9/2014 19:31'!
filter: collectionOfGodData byTitle: aString
	"Filter a collection of GODData by title"

	| result |
	result := OrderedCollection new.
	
	collectionOfGodData do: [: each |
		(aString match: each title)
		ifTrue: [result add: each]].
	^result.! !

FILTMainFilter subclass: #FILTSocialFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

FILTMainFilter subclass: #FILTTextFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!
